// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: device_server.proto

#include "device_server.pb.h"

#include <algorithm>

#include <google/protobuf/stubs/common.h>
#include <google/protobuf/stubs/port.h>
#include <google/protobuf/stubs/once.h>
#include <google/protobuf/io/coded_stream.h>
#include <google/protobuf/wire_format_lite_inl.h>
#include <google/protobuf/descriptor.h>
#include <google/protobuf/generated_message_reflection.h>
#include <google/protobuf/reflection_ops.h>
#include <google/protobuf/wire_format.h>
// This is a temporary google only hack
#ifdef GOOGLE_PROTOBUF_ENFORCE_UNIQUENESS
#include "third_party/protobuf/version.h"
#endif
// @@protoc_insertion_point(includes)
namespace mascot {
}  // namespace mascot
namespace protobuf_device_5fserver_2eproto {
const ::google::protobuf::uint32 TableStruct::offsets[1] = {};
static const ::google::protobuf::internal::MigrationSchema* schemas = NULL;
static const ::google::protobuf::Message* const* file_default_instances = NULL;

void protobuf_AssignDescriptors() {
  AddDescriptors();
  ::google::protobuf::MessageFactory* factory = NULL;
  AssignDescriptors(
      "device_server.proto", schemas, file_default_instances, TableStruct::offsets, factory,
      NULL, NULL, NULL);
}

void protobuf_AssignDescriptorsOnce() {
  static GOOGLE_PROTOBUF_DECLARE_ONCE(once);
  ::google::protobuf::GoogleOnceInit(&once, &protobuf_AssignDescriptors);
}

void protobuf_RegisterTypes(const ::std::string&) GOOGLE_PROTOBUF_ATTRIBUTE_COLD;
void protobuf_RegisterTypes(const ::std::string&) {
  protobuf_AssignDescriptorsOnce();
}

void AddDescriptorsImpl() {
  InitDefaults();
  static const char descriptor[] GOOGLE_PROTOBUF_ATTRIBUTE_SECTION_VARIABLE(protodesc_cold) = {
      "\n\023device_server.proto\022\006mascot\032\016commands."
      "proto\032\014device.proto\032\027device_properties.p"
      "roto\032\023subscriptions.proto\032\020attributes.pr"
      "oto\032\026attribute_config.proto2\272\007\n\022MascotDe"
      "viceServer\022Q\n\020GetAttributeList\022\037.mascot."
      "GetAttributeListMessage\032\032.mascot.Attribu"
      "teListReply\"\000\022K\n\016GetCommandList\022\035.mascot"
      ".GetCommandListMessage\032\030.mascot.CommandL"
      "istReply\"\000\022K\n\rReadAttribute\022\034.mascot.Rea"
      "dAttributeMessage\032\032.mascot.ReadAttribute"
      "Reply\"\000\022E\n\016WriteAttribute\022\035.mascot.Write"
      "AttributeMessage\032\022.mascot.WriteReply\"\000\022S"
      "\n\023ReadAttributeConfig\022\034.mascot.ReadAttri"
      "buteMessage\032\034.mascot.AttributeConfigRepl"
      "y\"\000\022W\n\024ReadDeviceProperties\022#.mascot.Rea"
      "dDevicePropertiesMessage\032\030.mascot.Device"
      "Properties\"\000\022G\n\025WriteDeviceProperties\022\030."
      "mascot.DeviceProperties\032\022.mascot.WriteRe"
      "ply\"\000\022`\n\027ReadDeviceAttributeMeta\022&.masco"
      "t.ReadDeviceAttributeMetaMessage\032\033.masco"
      "t.DeviceAttributeMeta\"\000\022M\n\030WriteDeviceAt"
      "tributeMeta\022\033.mascot.DeviceAttributeMeta"
      "\032\022.mascot.WriteReply\"\000\022\?\n\tSubscribe\022\030.ma"
      "scot.SubscribeMessage\032\026.mascot.Subscribe"
      "Reply\"\000\022E\n\013Unsubscribe\022\032.mascot.Unsubscr"
      "ibeMessage\032\030.mascot.UnsubscribeReply\"\000\022@"
      "\n\016ExecuteCommand\022\026.mascot.CommandMessage"
      "\032\024.mascot.CommandReply\"\000b\006proto3"
  };
  ::google::protobuf::DescriptorPool::InternalAddGeneratedFile(
      descriptor, 1112);
  ::google::protobuf::MessageFactory::InternalRegisterGeneratedFile(
    "device_server.proto", &protobuf_RegisterTypes);
  ::protobuf_commands_2eproto::AddDescriptors();
  ::protobuf_device_2eproto::AddDescriptors();
  ::protobuf_device_5fproperties_2eproto::AddDescriptors();
  ::protobuf_subscriptions_2eproto::AddDescriptors();
  ::protobuf_attributes_2eproto::AddDescriptors();
  ::protobuf_attribute_5fconfig_2eproto::AddDescriptors();
}

void AddDescriptors() {
  static GOOGLE_PROTOBUF_DECLARE_ONCE(once);
  ::google::protobuf::GoogleOnceInit(&once, &AddDescriptorsImpl);
}
// Force AddDescriptors() to be called at dynamic initialization time.
struct StaticDescriptorInitializer {
  StaticDescriptorInitializer() {
    AddDescriptors();
  }
} static_descriptor_initializer;
}  // namespace protobuf_device_5fserver_2eproto
namespace mascot {

// @@protoc_insertion_point(namespace_scope)
}  // namespace mascot

// @@protoc_insertion_point(global_scope)
